Welcome Serena Central users! CLICK HERE
The migration of the Serena Central community is currently underway. Be sure to read THIS MESSAGE to get your new login set up to access your account.
Highlighted
greiner Honored Contributor.
Honored Contributor.
6815 views

Installation break Vibe 4.0 (latest version April 2015)

during the installation while copying the files the following error messages comes on console:
./installer-teaming.linux
::softwareversion
error in background error handler:
invoked "break" outside of a loop
while executing
"::tcl::Bgerror {Installation exiting due to errors. See log file for details.}
{-code 1 -level 0 -errorcode NONE -errorinfo {Installation exiting due ..."

the installation is on a new sles11sp3 server with java jdk 1.7.75

i have joined the installer.log file

who can help?
0 Likes
22 Replies
greiner Honored Contributor.
Honored Contributor.

Re: Installation break Vibe 4.0 (latest version April 2015)

error found by me self (or not)

i have created a new user "vibeuser" and a new group "vibegroup", but don't have declare user "vibeuser" in the group "vibegroup"

Better: choice a existing user and existing group with the mouse or select button, then error message if the user is not in the group!!!
0 Likes
Knowledge Partner
Knowledge Partner

Re: Installation break Vibe 4.0 (latest version April 2015)

Hi,

Cgreiner;2352655 wrote:
error found by me self (or not)

i have created a new user "vibeuser" and a new group "vibegroup", but don't have declare user "vibeuser" in the group "vibegroup"

Better: choice a existing user and existing group with the mouse or select button, then error message if the user is not in the group!!!



Thanks for feeding back your findings.

The vibeuser does not have to be a member of the vibegroup.

Choosing an existing user is an option, the idea however of having a dedicated user and group for Vibe is that you can assign exactly the needed rights to the files and folders Vibe runs and works from (/opt/novell/teaming & /var/opt/novell/teaming by default). This is important from a security standpoint and ensures the tomcat process does not need rights elsewhere on the system in order to have a working Vibe installation.

Curious though, do you now have Vibe up and running?

Also, which database are you using (as the installer log complains about not finding a MySQL instance).

Cheers,
Willem
0 Likes
greiner Honored Contributor.
Honored Contributor.

Re: Installation break Vibe 4.0 (latest version April 2015)

yes, i am using mysql as database

1. Mysql was installed before installation
2. cd /vibe_installation/temp-installer/db/scripts/sql
using the command mysql -uusername -ppassword < "mysql-create-empty-database.sql" (changing username to root and using the correct password) don't work
i must use mysql < "mysql-create-empty-database.sql" (without username and password)
3. cd /vibe_installation/temp-installer/db
i must edit the file mysql-create-empty-database.sql and disable the line with password, then the script will run
./manage-database.sh mysql updateDatabase
4. cd /opt/novell/teaming/stellent-converter/linux/x86
./exporter --> don't run see errors:
Error: no input file was specified
Error: no output file was specified
Error: no output ID was specified
What must be used as input and output file, also as ID, in the documentation there is no information

5. after doing all this operations and restarting the server, i can't access to the vibe 4.0 interface over browser, there are java errors on attachment jpg

A many problems by installing and testing the vibe 4.0 software, installation must be simple, easy and automatically and than runs, any persons want to investigate a many days for evaluate software
thanks for help
0 Likes
greiner Honored Contributor.
Honored Contributor.

Java-Error

HTTP Status 500 -


type Exception report

message

description The server encountered an internal error that prevented it from fulfilling this request.

exception
java.lang.NullPointerException
org.kablink.teaming.util.SpringContextUtil.getBean(SpringContextUtil.java:117)
com.novell.teaming.kshield.nonweb.KShieldNonWebAuthenticationServiceProxy.getTarget(KShieldNonWebAuthenticationServiceProxy.java:27)
com.novell.teaming.kshield.nonweb.KShieldNonWebAuthenticationServiceProxy.createUserInfo(KShieldNonWebAuthenticationServiceProxy.java:13)
cz.tdp.kshield.springsecurity3.KShieldPreAuthenticationFilter.getPreAuthenticatedPrincipal(KShieldPreAuthenticationFilter.java:124)
org.springframework.security.web.authentication.preauth.AbstractPreAuthenticatedProcessingFilter.doAuthenticate(AbstractPreAuthenticatedProcessingFilter.java:103)
org.springframework.security.web.authentication.preauth.AbstractPreAuthenticatedProcessingFilter.doFilter(AbstractPreAuthenticatedProcessingFilter.java:91)
cz.tdp.kshield.springsecurity3.KShieldPreAuthenticationFilter.doFilter(KShieldPreAuthenticationFilter.java:110)
com.novell.teaming.kshield.KShieldBaseAuthenticationFilter.doFilter(KShieldBaseAuthenticationFilter.java:60)
org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:342)
org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:50)
org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:106)
org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:342)
org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter(SecurityContextPersistenceFilter.java:87)
org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:342)
org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:192)
org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:160)
org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:343)
org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:260)
org.kablink.teaming.webdav.servlet.filter.ResourceDispatchFilter.doFilter(ResourceDispatchFilter.java:87)



note The full stack trace of the root cause is available in the Apache Tomcat/7.0.55 logs.


Apache Tomcat/7.0.55
0 Likes
clar1 Absent Member.
Absent Member.

Re: Installation break Vibe 4.0 (latest version April 2015)

Did you look at the conf/server.xml file and in particular at the .keystore location and the password ?
Daniel
0 Likes
Knowledge Partner
Knowledge Partner

Re: Java-Error

Hi ,


Along with Daniel's comment, have you also added the JCE extension to your Java JDK?


Have a look in the appserver.log, if it's because the JCE is missing that is what the issue probably is.

appserver.log will probably have an entry looking like this:

"INF/context/applicationContext.xml]: Invocation of init method failed; nested exception is org.jasypt.exceptions.EncryptionOperationNotPossibleException: Encryption raised an exception. A possible cause is you are using strong encryption algorithms and you have not installed the Java Cryptography Extension (JCE) Unlimited Strength Jurisdiction Policy Files in this Java Virtual Machine"



Depending on the Java JDK version installed (Oracle/IBM and the the specific version), if not done so for Oracle Java you need to downloaded the version 7 UnlimitedJCEPolicyJDK7.zip file found here : http://www.oracle.com/technetwork/java/javase/downloads/jce-7-download-432124.html *or* version 8 found here: http://www.oracle.com/technetwork/java/javase/downloads/jce8-download-2133166.html.


There are two jar files in that zip that should be placed in $JAVA_HOME/jre/lib/security.

Hopefully that will solve what you are seeing and let the Vibe install come up.

Cheers,
Willem
0 Likes
greiner Honored Contributor.
Honored Contributor.

Re: Java-Error

Hi Willem,

the security Extension is installed, the 2 jar files are present

i have do the Installation as indicated in the documentation and will search the solution of the Problem

i have Show the file Server.xml and .keystore, but the last file can'nt be read correctly for username and Password
0 Likes
greiner Honored Contributor.
Honored Contributor.

Re: Installation break Vibe 4.0 (latest version April 2015)

here the log file: localhost.2015-04-13.log
Apr 13, 2015 12:08:53 PM org.apache.catalina.cor.StandardWrapperValve invoke
SEVERE: Servlet.service() for servlet [milton] in contect with path [] threw exception Java.lang.NullPointerException
0 Likes
clausw1
New Member.

Re: Installation break Vibe 4.0 (latest version April 2015)

I had the same issue, the JCE files were wrong. First I used files from UnilimitedJCSPolicyJDK7.zip which failed, only the files from unrestrictedpolicyfiles.zip worked:
local_policy.jar 2253 bytes 12.10.2012 (european date, October)
US_export_policy.jar 2240 bytes 12.10.2012
claus
0 Likes
foccer Absent Member.
Absent Member.

Re: Installation break Vibe 4.0 (latest version April 2015)

clausw;2375860 wrote:
I had the same issue, the JCE files were wrong. First I used files from UnilimitedJCSPolicyJDK7.zip which failed, only the files from unrestrictedpolicyfiles.zip worked:
local_policy.jar 2253 bytes 12.10.2012 (european date, October)
US_export_policy.jar 2240 bytes 12.10.2012
claus


Hi Claus

I think I'm also having problems with the JCE after upgrading from 3.4.

What is this unrestrictedpolicyfiles.zip you speak of? I can't find mention of it on the Oracle downloads site, just the usual JCE files as mentioned in the Vibe docs.

thanks


Aaron,

0 Likes
greiner Honored Contributor.
Honored Contributor.

Re: Installation break Vibe 4.0 (latest version April 2015)

i have test the 2 old files from Claus, but vibe don't start again
0 Likes
clausw1
New Member.

Re: Installation break Vibe 4.0 (latest version April 2015)

I downloaded them from the IBM site as documented here:
https://www.novell.com/documentation/vibe4/vibe4_inst/data/b1emz1j0.html
claus
0 Likes
foccer Absent Member.
Absent Member.

Re: Installation break Vibe 4.0 (latest version April 2015)

Cgreiner;2391521 wrote:
i have test the 2 old files from Claus, but vibe don't start again


I'm guessing you have the Oracle JDK.

Files Claus is talking about are for the IBM JDK, they didn't work for me (I'm using Oracle JDK 7).

0 Likes
greiner Honored Contributor.
Honored Contributor.

Re: Installation break Vibe 4.0 (latest version April 2015)

Sorry, but any days to find a solution to evaluate vibe 4.0, and all forces to solve the installation problem don't have success

a automatic installation can be better (see other novell products) or give your customers a working appliance
- with script any operations can be do automaticaly
- the correct version of java can be detectet and installed automaticaly (IBM/Oracle, Version 7 or 😎
- when choising Mysql the installation can be done at first und the two scripts can be called automaticaly, the new password must keyin in the dialog

the crypto-files are existing on the server by installation from java, but not on /etc/alternatives

Who have a working vibe 4.0 system?
Who have become a successfully java 1.8 version
Who can realy help? is this a software bug or my personaly human bug?
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.